/** The following iterative sequence is defined for the set of positive integers:
n -> n/2 (n is even)
n -> 3n + 1 (n is odd)
Using the rule above and starting with 13, we generate the following sequence:
13 -> 40 -> 20 -> 10 -> 5 -> 16 -> 8 -> 4 -> 2 -> 1
It can be seen that this sequence (starting at 13 and finishing at 1) contains 10 terms. Although it has not been proved yet (Collatz Problem), it is thought that all starting numbers finish at 1.
Which starting number, under one million, produces the longest chain?
NOTE: Once the chain starts the terms are allowed to go above one million. */

#include "0.hpp"

#define _max 1000000
#define _min 1

struct num {
  uu value;
  int ch;
};

int sq(uu a, int flag = 0)
{
  int count = 0;
  while(a != 1) {
    count++;
    //if(flag) cout << a << " -> ";
    if(a % 2) a = a * 3 + 1;
    else a /= 2;
  }
  //if(flag) cout << 1 << endl;
  return count;
}

int main()
{
  timeb start, end;
  ftime(&start);
  num max;
  max.ch = 0;
  for(uu i = _max; i >= _min; i--) {
    if(sq(i) > max.ch) {
      max.value = i;
      max.ch = sq(i);
    }
  }
  ftime(&end);
  cout << max.value << endl;
  cout << max.ch << " times calc" << endl;
  sq(max.value, 1);
  cout << endl << "cost " << (end.time - start.time) * 1000 + end.millitm - start.millitm << " ms" << endl;
  
  return 0;
}
