/** Each new term in the Fibonacci sequence is generated by adding the previous two terms. By starting with 1 and 2, the first 10 terms will be:
1, 2, 3, 5, 8, 13, 21, 34, 55, 89, ...
By considering the terms in the Fibonacci sequence whose values do not exceed four million, find the sum of the even-valued terms. */

#include "0.hpp"

int main()
{
  const uu _max = 4000000;
  uu fib[3] = {0, 1, 1}; // 设置 fib 数列循环的数组
  uu count = 1; // fib 数列的项计数器
  uu sum = 0; // 满足条件的数的和
  while(fib[count] <= _max) { // fib 数列小于要求值时不断循环
    if(fib[count] % 2 == 0) sum += fib[count]; // 满足条件的项计入总和
    //cout << fib[count] << endl;
    count = (count + 1) % 3; // 项计数器
    fib[count] = fib[(count + 1) % 3] + fib[(count + 2) % 3]; // fib 数列递推公式
  }
  cout << sum << endl; // 输出结果
  return 0;
}
