/** Let d(n) be defined as the sum of proper divisors of n (numbers less than n which divide evenly into n).
If d(a) = b and d(b) = a, where a  b, then a and b are an amicable pair and each of a and b are called amicable numbers.
For example, the proper divisors of 220 are 1, 2, 4, 5, 10, 11, 20, 22, 44, 55 and 110; therefore d(220) = 284. The proper divisors of 284 are 1, 2, 4, 71 and 142; so d(284) = 220.
Evaluate the sum of all the amicable numbers under 10000. */

#include "0.hpp"
#define _max 10000

uu ami(uu x)
{
  uu test = 1;
  uu sqr = (uu)(sqrt((double)x) + _eps);
  if(x == sqr * sqr) test += sqr;
  for(uu i = 2; i < sqr; i++)
    if(x % i == 0) {
      test += i + x / i;
      //cout << i << endl << x / i <<endl;
    }
  return test;
}

int main()
{
  uu sum = 0;
  for(uu temp = 100; temp <= _max; temp++) {
    uu amip = ami(temp);
    if(temp == ami(amip) && temp - amip) {
      //cout << temp << '\t' << amip << endl;
      sum += amip + temp;
    }
  }
  cout << sum / 2 << endl;
  return 0;
}
